%define         majornum    23
%define         srcname     lib%{name}
%define         libname     %mklibname %{name} %{majornum}
%define         develname   %mklibname %{name} -d

Name:           sodium
Version:        1.0.15
Release:        %mkrel 1
Summary:        A software library for encryption, decryption and more
License:        ISC License
Group:          Security

URL:            https://github.com/jedisct1/libsodium
Source0:        %{srcname}-%{version}.tar.xz

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  gawk


%description
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.



%package -n %{libname}
License:        ISC License
Summary:        The sodium library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.


%package -n %{develname}
License:        ISC License
Summary:        Headers and development files for the sodium library
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
%{summary}.


%prep

%setup -q -n %{srcname}-%{version}

%build
%configure2_5x --enable-static=no

%install
rm -rf %buildroot
%makeinstall

find %{buildroot}%{_libdir} -name *.la -delete
find %{buildroot}%{_libdir} -name *.a -delete

%files -n %{libname}
%doc AUTHORS README.markdown THANKS LICENSE
%{_libdir}/libsodium.so.%{majornum}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libsodium.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/sodium.h
%{_includedir}/sodium



%changelog
* Thu Nov 16 2018 bb2 <bb2> - 1.0.15-1pclos2017
- new version

* Tue Apr 04 2017 bb2 <bb2> - 1.0.12-1pclos2017
- new version

* Fri Mar 31 2017 bb2 <bb2> - 1.0.11-1pclos2017
- update for openshot
